#pragma once
#include "VSMD12XMiscDefines.h"
#include <string>
class CAbstractPort
{
public:
	virtual void InitPort(PortInfo portinfo) = 0;
	virtual bool SetPort() = 0;
	virtual bool Open() = 0;
	virtual void Close() = 0;

	virtual std::string ReadAll() = 0;
	virtual std::string ReadAll(int iWait) = 0;
	virtual int Write(const std::string strSend) = 0;

};

